﻿using System.ComponentModel;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 커스텀 그리드 룩업 에디터
    /// </summary>
    public class CustomGridLookUpEdit : GridLookUpEdit
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 에디터 타입명 - EditorTypeName

        /// <summary>
        /// 에디터 타입명
        /// </summary>
        public override string EditorTypeName
        {
            get
            {
                return CustomRepositoryItemGridLookUpEdit.EditorName;
            }
        }

        #endregion
        #region 속성 - Properties

        /// <summary>
        /// 속성
        /// </summary>
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public new CustomRepositoryItemGridLookUpEdit Properties
        {
            get
            {
                return base.Properties as CustomRepositoryItemGridLookUpEdit;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Static

        #region 생성자 - CustomGridLookUpEdit()

        /// <summary>
        /// 생성자
        /// </summary>
        static CustomGridLookUpEdit()
        { 
            CustomRepositoryItemGridLookUpEdit.Register();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Instance

        #region 생성자 - CustomGridLookUpEdit()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomGridLookUpEdit()
        {
        }

        #endregion
    }
}